"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  requestBillingAgreement: true,
  requestOneTimePayment: true,
  getDeviceDataFromDataCollector: true,
  tokenizeCardData: true
};
exports.getDeviceDataFromDataCollector = getDeviceDataFromDataCollector;
exports.requestBillingAgreement = requestBillingAgreement;
exports.requestOneTimePayment = requestOneTimePayment;
exports.tokenizeCardData = tokenizeCardData;
var _reactNative = require("react-native");
var _types = require("./types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});
const LINKING_ERROR = `The package 'react-native-paypal-reborn' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const PaypalReborn = _reactNative.NativeModules.PaypalReborn ? _reactNative.NativeModules.PaypalReborn : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
async function requestBillingAgreement(options) {
  try {
    const result = PaypalReborn.requestBillingAgreement(options);
    return result;
  } catch (ex) {
    return ex;
  }
}
async function requestOneTimePayment(options) {
  try {
    const result = await PaypalReborn.requestOneTimePayment(options);
    return result;
  } catch (ex) {
    return ex;
  }
}
async function getDeviceDataFromDataCollector(clientToken) {
  try {
    const result = await PaypalReborn.getDeviceDataFromDataCollector(clientToken);
    return result;
  } catch (ex) {
    return ex;
  }
}
async function tokenizeCardData(options) {
  try {
    const result = await PaypalReborn.tokenizeCardData(options);
    return result;
  } catch (ex) {
    return ex;
  }
}
//# sourceMappingURL=index.js.map